Mantis Bug Tracker

View Issue Details Jump to Notes ] Issue History ] Print ]
IDProjectCategoryView StatusDate SubmittedLast Update
0005032opensim[REGION] Specific OpenSim Modulepublic2010-09-08 02:082010-11-07 07:33
ReporterSnoopy 
Assigned ToSnoopy 
PrioritynormalSeveritymajorReproducibilityalways
StatusclosedResolutionfixed 
PlatformOperating SystemOperating System Version
Product Version 
Target VersionFixed in Version 
Summary0005032: OSSearch: Missing method OpenSim.Region.Framework.Scenes.Scene::get_UserAccountService()
DescriptionUsing the latest OpenSim 0.6.9 post-fixes version and OSSearch version 154 I see the following error message when I use the "All" search tab. Beside that searching people and places fails silently.

** (./OpenSim.32BitLaunch.exe:26246): WARNING **: Missing method OpenSim.Region.Framework.Scenes.Scene::get_UserAccountService() in assembly /home/opensim/opensim/opensim_100907_210510_e7e9e6706edd2b4946f05bc66d9a23c54320c16c/bin/OpenSim.Region.Framework.dll, referenced in assembly /home/opensim/opensim/opensim_100907_210510_e7e9e6706edd2b4946f05bc66d9a23c54320c16c/bin/OpenSimSearch.Modules.dll
TagsNo tags attached.
Git Revision or version numbere7e9e6706edd2b4946f05bc66d9a23c54320c16c
Run Mode Grid (1 Region per Sim)
Physics EngineODE
Script Engine
EnvironmentMono / Linux64
Mono Versiontrunk
Viewer
Attached Files

- Relationships
child of 0003364closedFly-Man- [OSSEARCH] 

-  Notes
(0016783)
WhiteStar (reporter)
2010-09-08 03:18

With Same OpenSim 0.6.9 (Post_Fixes) e7e9e67-r/13837 Under Win-7/64 & NET 3.51
Testing on OSG

I searched under ALL for "free" and received back 204 Entries. (no errors)
I searched under People for "white" and got back 69 Entries. (no errors)
I search Parcels with "free" in OSG, got back 103 Entries (no errors)
** I hit the Next Button in the viewer, which shows in the log extract below.

Responses received as follows:

06:12:16 - [LAND]: got parcelinfo for parcel The Old World Reez Area -5min in region 1102040504775
4496; sending...
06:12:36 - [LAND]: got parcelinfo request for regionHandle 11005011884970752, x/y 152/128
06:12:36 - [LAND CONNECTOR]: request for land data in 11005011884970752 at 152, 128
06:12:36 - [LAND CONNECTOR]: didn't find land data locally.
06:12:36 - [OGS1 GRID SERVICES]: Got land data for parcel [NOW SHOWING] The Little Shop of Horrors
06:12:37 - [LAND]: got parcelinfo for parcel [NOW SHOWING] The Little Shop of Horrors in region 1100
5011884970752; sending...
(0016790)
Luisillo_Contepomi (reporter)
2010-09-09 08:15

i confirm the same for OpenSim 0.7.0.1 Unix/Mono)

17:14:28 - [LAND]: got parcelinfo request for regionHandle 1100611139659520, x/y 199/108
17:14:28 - [LAND CONNECTOR]: request for land data in 1100611139659520 at 199, 108
17:14:28 - [LAND CONNECTOR]: didn't find land data locally.
17:14:28 - [LAND]: got no parcelinfo; not sending
(0016792)
kcozens (administrator)
2010-09-09 09:08

The DLL in the trunk portion of SVN was not updated when the code changes were applied to make the search module work with a 0.7 version of Open Simulator. The fix is to use the DLL you get when compiling the module. I will talk with the core developers and get an updated DLL checked in to SVN.

A problem with the Next button on search results should be filed separately from this report.
(0017122)
Fly-Man- (developer)
2010-10-25 17:17

SVN should contain a recent OS Search dll which should solve this issue
(0017217)
Snoopy (administrator)
2010-10-31 06:31

Fixes with the lastest OpenSim 0.7 and OSSearch versions.

- Issue History
Date Modified Username Field Change
2010-09-08 02:08 Snoopy New Issue
2010-09-08 02:08 Snoopy Git Revision => e7e9e6706edd2b4946f05bc66d9a23c54320c16c
2010-09-08 02:08 Snoopy SVN Revision => 13837
2010-09-08 02:08 Snoopy Run Mode => Grid (1 Region per Sim)
2010-09-08 02:08 Snoopy Physics Engine => ODE
2010-09-08 02:08 Snoopy Environment => Mono / Linux64
2010-09-08 02:08 Snoopy Mono Version => trunk
2010-09-08 03:18 WhiteStar Note Added: 0016783
2010-09-09 08:15 Luisillo_Contepomi Note Added: 0016790
2010-09-09 09:08 kcozens Note Added: 0016792
2010-10-25 17:17 Fly-Man- Relationship added child of 0003364
2010-10-25 17:17 Fly-Man- Note Added: 0017122
2010-10-25 17:17 Fly-Man- Status new => acknowledged
2010-10-31 06:31 Snoopy Status acknowledged => resolved
2010-10-31 06:31 Snoopy Resolution open => fixed
2010-10-31 06:31 Snoopy Assigned To => Snoopy
2010-10-31 06:31 Snoopy Note Added: 0017217
2010-11-07 07:33 chi11ken Status resolved => closed


Copyright © 2000 - 2012 MantisBT Group
Powered by Mantis Bugtracker